<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
     h1#mi-id {
         margin-left: 20rem;
         border: 1px solid red;
     }
    </style>
</head>
<body>
    <h1 id="mi-id">Externo</h1>
    <template>
        <style>
           :host {
              display: block;
              border: 1px solid green;
              margin-bottom: 2rem; 
           }

           h1#mi-id{
               margin-left: 1rem;
               margin-right: 1rem;
               border: 1px solid green;
           }
        </style>
        <h1 id="mi-id">hola, mi primer template</h1>
        <p>¿Como estas?</p>
    </template>

    <mi-saludo></mi-saludo>
    <mi-saludo></mi-saludo>
    <mi-saludo></mi-saludo>
    <mi-saludo></mi-saludo>

    <div id="host"></div>

    <script>
        class Misaludo extends HTMLElement {
            constructor () {
                const tpl = document.querySelector('template');

                const tplInst = tpl.content.cloneNode(true);

                super();
                this.attachShadow({mode: 'open'});

                this.shadowRoot.appendChild(tplInst);
            }
        }
  customElements.define('mi-saludo',Misaludo);
    </script>
</body>
</html>